%define packname RScaLAPACK
%define lamdir %{_libdir}/lam

%ifarch x86_64 ia64
%define bitsize 64
%else
%define bitsize 32
%endif

Name: R-%{packname}
Version: 0.5.1
Release: 10%{?dist}
Source0: ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{version}.tar.gz
License: MIT
URL: http://cran.r-project.org/web/packages/RScaLAPACK/index.html
Group: Applications/Engineering
Summary: An interface to perform parallel computation on linear algebra problems using ScaLAPACK
BuildRequires: lam-libs, lam-devel, R-devel, tetex-latex, lapack-devel
BuildRequires: gcc-gfortran, blacs-devel, scalapack-devel, autoconf
Requires: R-core, scalapack, lam-libs
Requires(post): R-core
Requires(postun): R-core
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0: R-RScaLAPACK-0.4.0-lam-mpi-blacs.patch
Patch1: R-RScaLAPACK-0.5.1-gcc4.patch
Patch2: R-RScaLAPACK-0.4.0-lam-mpi-blacs64.patch
Patch3: R-RScaLAPACK-0.5.1-configurefix.patch
Patch4: R-RScaLAPACK-0.5.1-blacsfix.patch

%description
R package:
An R add-on package capable of carrying out parallel computation through 
a single function call from the R environment. It uses the high-performance 
ScaLAPACK library for the linear algebra computations.

%prep
%setup -T -c -a 0
%ifarch x86_64 ppc64 sparc64 ia64 alpha
%patch2 -p1
%else
%patch0 -p1
%endif
%patch1 -p1
%patch3 -p1
%patch4 -p1

%build
cd RScaLAPACK
autoconf
cd ..
cp %{packname}/DESCRIPTION .

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
export LD_LIBRARY_PATH=%{lamdir}/lib
%{_bindir}/R CMD INSTALL --configure-args="CFLAGS='$RPM_OPT_FLAGS -I%{lamdir}/include -L%{lamdir}/lib -lutil -lmpiblacsCinit -lmpiblacs -llam -llamf77mpi -lmpi -llapack' FFLAGS='$RPM_OPT_FLAGS -I%{lamdir}/include -L%{lamdir}/lib -lutil -llapack'" -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
# %{_bindir}/R CMD check %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-,root,root,-)
%doc DESCRIPTION
%{_libdir}/R/library/%{packname}/

%changelog
* Thu Oct 29 2009 Orion Poplawski <orion@cora.nwra.com> 0.5.1-10
- Update spec and rebuild with new R
- Update lam locations

* Fri Mar 30 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.1-9
- include bitsize specific lam include directory

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.5.1-8
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.1-6
- BR: lam-devel

* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.1-4
- fc6 bump

* Thu Mar  9 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.1-3
- forgot to upload source

* Sun Feb 26 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.1-2
- get this thing working again

* Mon Jan  9 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.1-1
- bump to 0.5.1

* Mon May 16 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.0-9
- test fails unless you are running it on a lam cluster,
  so don't run it here

* Sun May 15 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.0-8
- fc3 branch doesn't need gcc4 patch

* Sun May 15 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.0-7
- 64 bit lib fix

* Mon May  9 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.0-6
- remove hardcoded dist tags

* Sun May  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.0-5
- blacs and scalapack need to be BuildRequires too.

* Sun May  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.0-4
- add lam as BuildRequires

* Sun Apr 24 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.0-3
- add dist tag

* Tue Apr 19 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.0-2
- add gcc-gfortran as a BuildRequires (gcc-g77 for fc3)

* Mon Apr 18 2005 Tom "spot" Callaway <tcallawa@redhat.com> 
- Initial package creation

